# Uses of Class
javax.swing.undo.CompoundEdit

Packages that use CompoundEdit
Package
Description
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.
javax.swing.undo
Allows developers to provide support for undo/redo in applications such as text editors.

## Uses of CompoundEdit in javax.swing.text

Subclasses of CompoundEdit in javax.swing.text
Modifier and Type
Class
Description
`class`
`AbstractDocument.DefaultDocumentEvent`
Stores document changes as the document is being modified.

## Uses of CompoundEdit in javax.swing.undo

Subclasses of CompoundEdit in javax.swing.undo
Modifier and Type
Class
Description
`class`
`UndoManager`
`UndoManager` manages a list of `UndoableEdits`, providing a way to undo or redo the appropriate edits.
Fields in javax.swing.undo declared as CompoundEdit
Modifier and Type
Field
Description
`protected CompoundEdit`
UndoableEditSupport.`compoundEdit`
The compound edit.
Methods in javax.swing.undo that return CompoundEdit
Modifier and Type
Method
Description
`protected CompoundEdit`
UndoableEditSupport.`createCompoundEdit()`
Called only from `beginUpdate`.